EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChunkedUploads_GetUpload',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ChunkedUploads',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets an upload in progress.'
GO

IF OBJECT_ID('[ChunkedUploads_GetUpload]') IS NOT NULL DROP PROCEDURE [ChunkedUploads_GetUpload]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [ChunkedUploads_GetUpload]
(
	@Feed_Id INT,
	@Upload_Id VARCHAR(100)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ChunkedUploads]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Upload_Id] = @Upload_Id

END
GO

GRANT EXECUTE ON [ChunkedUploads_GetUpload] TO [ProGetUser_Role]
GO