EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ReplicationClients_DeleteClient',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes information for a specified replication client.'
GO

IF OBJECT_ID('[ReplicationClients_DeleteClient]') IS NOT NULL DROP PROCEDURE [ReplicationClients_DeleteClient]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ReplicationClients_DeleteClient]
(
	@ReplicationClient_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [ReplicationClients]
	 WHERE [ReplicationClient_Id] = @ReplicationClient_Id

END
GO

GRANT EXECUTE ON [ReplicationClients_DeleteClient] TO [ProGetUser_Role]
GO
